#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Net::SSLeay - Perl extension for using OpenSSL or SSLeay
Summary(pl.UTF-8):	Net::SSLeay - rozszerzenie Perla do używania OpenSSL lub SSLeay
Name:		perl-Net-SSLeay
Version:	1.72
Release:	3
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/Net-SSLeay-%{version}.tar.gz
# Source0-md5:	a740d7792dbac8ca8c4eb38d3b8fbd01
Patch0:		%{name}-no_zlib.patch
URL:		http://search.cpan.org/dist/Net-SSLeay/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	openssl-tools >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-Test-Simple >= 0.60_01
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module offers some high level convinience functions for accessing
web pages on SSL servers, a sslcat() function for writing your own
clients, and finally access to the SSL api of SSLeay/OpenSSL package
so you can write servers or clients for more complicated applications.

%description -l pl.UTF-8
Ten moduł oferuje kilka wygodnych funkcji wysokiego poziomu służących
do dostępu do stron WWW na serwerach SSL, funkcję sslcat() do pisania
własnych klientów, oraz dostęp do API SSL pakietu SSLeay/OpenSSL, co
pozwala na pisanie serwerów lub klientów dla bardziej skomplikowanych
aplikacji.

%prep
%setup -q -n Net-SSLeay-%{version}
%patch0 -p1

%build
echo "n" | %{__perl} Makefile.PL %{_prefix} \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:echo "n" | %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p examples/*.{pl,conf} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Net/SSLeay.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes Credits README
%{perl_vendorarch}/Net/SSLeay.pm
%{perl_vendorarch}/Net/SSLeay
%dir %{perl_vendorarch}/auto/Net/SSLeay
%{perl_vendorarch}/auto/Net/SSLeay/autosplit.ix
%{perl_vendorarch}/auto/Net/SSLeay/*.al
%attr(755,root,root) %{perl_vendorarch}/auto/Net/SSLeay/SSLeay.so
%{_mandir}/man3/Net::SSLeay*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Mar 21 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Net-SSLeay.git;a=log;h=master

* Sat Mar 05 2016 Elan Ruusamäe <glen@delfi.ee> 2756d62
- openssl 1.0.2g rebuild
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4ce2998
- release 2 (by relup.sh)

* Thu Dec 10 2015 Jan Palus <atler@pld-linux.org> b2c7746
- up to 1.72

* Sun Sep 20 2015 Jan Palus <atler@pld-linux.org> 4008dc7
- up to 1.71

* Sun Jun 14 2015 Jan Palus <atler@pld-linux.org> 5854cc8
- up to 1.69

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8542a61
- x32 rebuild
- release 3 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c1bd789
- x32 rebuild
- release 2 (by relup.sh)

* Sun Feb 08 2015 Jan Palus <atler@pld-linux.org> 59b1537
- up to 1.68

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> bcac4d2
- unified license name

* Wed Sep 24 2014 Łukasz Kieś <kiesiu@pld-linux.org> 6963e3f
- updated to 1.66
- new license

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6d6e41e
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e0bfb29
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> fc3f229
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Fri Jun 21 2013 Jakub Bogusz <qboosh@pld-linux.org> da5128b
- updated to 1.55

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 2180311
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 06aa4a6
- updated to 1.48
- removed obsolete paths patch

* Sun Jan 22 2012 lisu <lisu@pld-linux.org> 9b6c9db
- rel 5

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> cfa8140
- rel 4

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> 6f9611c
- added no_zlib patch
- updated URL:

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> a7650be
- NEW: don't link with -lz because it isn't used

